package com.wrj.driver.server.controller;

import com.wrj.driver.server.dto.SecretQueryDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdSecretQuestionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/tdSecretQuestion")
@Slf4j
public class TdSecretQuestionController {

    @Resource
    private ITdSecretQuestionService secretQuestionService;

    //查询
    @PostMapping("/querySecretQuestionIds")
    public BaseResponse querySecretQuestionIds(@RequestBody SecretQueryDto queryDto) {
        log.info("获取密卷明细ids======>queryDto:{}", queryDto);
        return BaseResponse.success(secretQuestionService.querySecretQuestionIds(queryDto));
    }

}
