package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 车型章节表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCarChapter implements Serializable {

    @TableId("ID")
    private Integer ID;

    /**
     * 章节id
     */
    @TableField("CHAPTER_ID")
    private Integer chapterId;

    /**
     * 车型id
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 判断题
     */
    @TableField("JUDGE_NUM")
    private Integer judgeNum;

    /**
     * 单选题
     */
    @TableField("RADIO_NUM")
    private Integer radioNum;


    /**
     * 多选题
     */
    @TableField("MULTIPLE_CHOICE_NUM")
    private Integer multipleChoiceNum;

    /**
     * 科目
     */
    @TableField("SUBJECT")
    private Integer subject;

}
