package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdChapter implements Serializable {

    /**
     * 章节id
     */
    @TableId("CHAPTER_ID")
    private Integer chapterId;

    /**
     * 章节名
     */
    @TableField("CHAPTER_NAME")
    private String chapterName;

    /**
     * 题目数
     */
    @TableField("COUNT")
    private Integer count;

    /**
     * 科目
     */
    @TableField("SUBJECT")
    private Integer subject;

}
