package com.wrj.driver.server.service;

import com.wrj.driver.server.entity.OrderPayInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * 支付表 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface IOrderPayInfoService extends IService<OrderPayInfo> {

    /**
     * 微信支付创建预支付申请
     *
     * @param originalPrice
     * @param commission
     * @param money
     * @param userIdStr
     * @param description
     * @param tradeType
     * @param outTradeNo
     * @param payType
     * @param detailId
     * @param tenantId
     * @return
     */
    OrderPayInfo createOrderPayInfo(BigDecimal money, String userIdStr, String description, String tradeType, String outTradeNo, String payType, Long detailId, Long tenantId);

    /**
     * 支付结果
     * @param payInfo
     * @param payResult
     */
    Boolean payNotice( OrderPayInfo payInfo, Boolean payResult);
}
