package com.wrj.driver.server.service;

import com.wrj.driver.server.dto.UserMemberDto;
import com.wrj.driver.server.entity.OrderPayInfo;
import com.wrj.driver.server.entity.TdSysUserMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wrj.driver.server.vo.UserMemberVo;

import java.util.List;

/**
 * <p>
 * 用户会员表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdSysUserMemberService extends IService<TdSysUserMember> {

    /**
     * 慧眼充值
     * @param payInfo
     * @return
     */
    Boolean purchaseMember(OrderPayInfo payInfo);

    List<UserMemberVo> queryUserMemberList(UserMemberDto userMemberDto);
}
