package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.dto.BaseQueryDto;
import com.wrj.driver.server.entity.TdCarChapter;
import com.wrj.driver.server.mapper.TdCarChapterMapper;
import com.wrj.driver.server.service.ITdCarChapterService;
import com.wrj.driver.server.vo.CarChapterVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TdCarChapterServiceImpl extends ServiceImpl<TdCarChapterMapper, TdCarChapter> implements ITdCarChapterService {
    @Override
    public List<CarChapterVo> queryCarChapter(BaseQueryDto queryDto1) {
        return this.getBaseMapper().queryCarChapter(queryDto1);
    }
}
