package com.wrj.driver.server.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 【分销配置】对象 sys_distribution
 *
 * @author hd
 * @date 2024-03-05
 */
@Data
@Accessors(chain = true)
public class SysDistribution
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId("distribution_id")
    private String distributionId;

    /** 手机号 */
    @TableField("phone")
    private String phone;

    /** 姓名 */
    @TableField("name")
    private String name;

    /** 标记 */
    @TableField("mark")
    private String mark;

    @TableField("del_flag")
    private String delFlag;

    @TableField("member_id")
    private Integer memberId;

    @TableField("discount_id")
    private Integer discountId;

    @TableField("tenant_id")
    private Long tenantId;

}
