package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 租户用户表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("td_tenant_applet")
public class TdTenantApplet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户标识
     */
    @TableId(value = "tenant_id")
    private Long tenantId;

    @TableField(value = "app_id")
    private String appId;

    @TableField(value = "app_name")
    private String appName;

    @TableField(value = "app_secret")
    private String appSecret;

    @TableField(value = "mch_id")
    private String mchId;

    @TableField(value = "api_v3_key")
    private String apiV3Key;

    @TableField(value = "mch_serial_no")
    private String mchSerialNo;

    @TableField(value = "private_key_path")
    private String privateKeyPath;

    @TableField(value = "pub_key_id")
    private String  pubKeyId;

    @TableField(value = "pub_key_path")
    private String  pubKeyPath;

    @TableField(value = "pay_notice_url")
    private String payNoticeUrl;

    @TableField(value = "is_new")
    private Boolean isNew;

}

