package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.entity.TdTenantCar;
import com.wrj.driver.server.mapper.TdTenantCarMapper;
import com.wrj.driver.server.service.ITdTenantCarService;
import com.wrj.driver.server.vo.CarVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class TdTenantCarServiceImpl extends ServiceImpl<TdTenantCarMapper, TdTenantCar> implements ITdTenantCarService {
    @Override
    public List<CarVo> queryList(Long tenantId) {
        return this.baseMapper.selectListByTenantId(tenantId);
    }
}
