package com.wrj.driver.server.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 车型章节表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CarChapterVo implements Serializable {

    @ApiModelProperty("ID")
    private Integer ID;

    /**
     * 章节id
     */
    @ApiModelProperty("CHAPTER_ID")
    private Integer chapterId;

    /**
     * 车型id
     */
    @ApiModelProperty("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 判断题
     */
    @ApiModelProperty("JUDGE_NUM")
    private Integer judgeNum;

    /**
     * 单选题
     */
    @ApiModelProperty("RADIO_NUM")
    private Integer radioNum;


    /**
     * 多选题
     */
    @ApiModelProperty("MULTIPLE_CHOICE_NUM")
    private Integer multipleChoiceNum;

    /**
     * 科目
     */
    @ApiModelProperty("SUBJECT")
    private Integer subject;

}
